Name:          ehcache2
Version:       2.10.2.2.21
Release:       3%{?dist}
Summary:       Java in-process cache
# CC0 ./ehcache-core/src/main/java/net/sf/ehcache/util/concurrent/*.java
License:       ASL 2.0 and CC0
URL:           http://ehcache.org/
# Source archive generated using:
# sh ehcache-create-tarball.sh < VERSION >
Source0:       ehcache-%{version}-clean.tar.xz
Source1:       ehcache-create-tarball.sh

BuildRequires: maven-local
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(javax.transaction:jta)
BuildRequires: mvn(net.sf.ehcache:ehcache-parent:pom:)
BuildRequires: mvn(net.sf.ehcache:sizeof-agent)
BuildRequires: mvn(org.apache.maven.plugins:maven-checkstyle-plugin)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)
BuildRequires: mvn(org.codehaus.mojo:rmic-maven-plugin)
BuildRequires: mvn(org.hibernate:hibernate-core:3)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.terracotta:statistics)

# ./ehcache-core/src/main/java/net/sf/ehcache/util/concurrent/*.java
Provides:      bundled(jsr166e) = 1.8

# Test deps
%if 0
BuildRequires: mvn(com.sun.xsom:xsom)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(javassist:javassist)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(net.sf.hibernate:hibernate)
BuildRequires: mvn(org.apache.derby:derby)
BuildRequires: mvn(org.beanshell:bsh)
BuildRequires: mvn(org.codehaus.btm:btm)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.hibernate:hibernate-ehcache:3)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.slf4j:slf4j-jdk14)
BuildRequires: mvn(org.terracotta:maven-forge-plugin)
%endif

BuildArch:     noarch

%description
Ehcache is an open source, standards-based cache that boosts performance,
offloads your database, and simplifies scalability. It's the most widely
used Java-based cache because it's robust, proven, full-featured, and
integrates with other popular libraries and frameworks. Ehcache scales
from in-process caching, all the way to mixed in-process/out-of-process
deployments with terabyte-sized caches.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package root
Summary:       Ehcache Root Parent POM

%description root
Ehcache Root Parent POM.

%prep
%setup -qn ehcache-%{version}

# NON Free
%pom_disable_module ehcache
# org.terracotta:management-common-resources-v1:2.0.15
%pom_disable_module management-ehcache-v1
# org.terracotta:management-common-resources-v2:2.0.15
%pom_disable_module management-ehcache-v2
%pom_disable_module management-ehcache-impl
# org.quartz-scheduler:quartz:2.2.3
%pom_disable_module ehcache-scheduled-refresh
%pom_disable_module terracotta
# Unneeded module
%pom_disable_module ehcache-search-parser

%pom_change_dep -r org.hibernate:hibernate-core ::3
%pom_change_dep -r org.hibernate:hibernate-ehcache ::3
# Upgrade org.terracotta.internal:statistics:1.0.2
%pom_change_dep -r org.terracotta.internal:statistics org.terracotta::1.1.0

# org.terracotta:maven-forge-plugin:1.2.5
%pom_remove_plugin -r :maven-forge-plugin
%pom_remove_plugin -r :gmaven-plugin
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin :maven-jar-plugin ehcache-core

# Remove (useless test) deps
%pom_remove_dep -r :hibernate
%pom_remove_dep -r :commons-logging
%pom_remove_dep -r :xsom
%pom_remove_dep -r :dom4j
%pom_remove_dep -r :javassist
%pom_remove_dep -r :junit
%pom_remove_dep -r :derby
%pom_remove_dep -r :bsh
%pom_remove_dep -r :btm
%pom_remove_dep -r org.hamcrest:
%pom_remove_dep -r :hibernate-ehcache
%pom_remove_dep -r :mockito-core
%pom_remove_dep -r :slf4j-jdk14

# disable embedded ehcache-sizeof-agent.jar copy
%pom_remove_plugin -r :maven-dependency-plugin


cp -p distribution/src/main/assembly/root/licenses/*-LICENSE.txt .
cp -p distribution/src/main/assembly/root/*.html .
chmod 644 EHCACHE-CORE-LICENSE.txt

# Fix java8 doclint
%pom_add_plugin org.apache.maven.plugins:maven-javadoc-plugin:2.8.1 '
<configuration>
 <additionalparam>-Xdoclint:none</additionalparam>
</configuration>'

%mvn_compat_version : %{version} 2.10 2

%build

# test skipped, require unavailable org.terracotta:maven-forge-plugin
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-ehcache-core
%doc README.html
%license EHCACHE-CORE-LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license EHCACHE-CORE-LICENSE.txt

%files root -f .mfiles-ehcache-root
%license EHCACHE-CORE-LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.2.2.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.10.2.2.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Sep 12 2016 gil cattaneo <puntogil@libero.it> 2.10.2.2.21-1
- update to 2.10.2.2.21

* Fri May 06 2016 gil cattaneo <puntogil@libero.it> 2.9.0-1
- update to 2.9.0

* Wed Jun 10 2015 gil cattaneo <puntogil@libero.it> 2.8.3-1
- initial rpm
